Package org.bgerp.action

# Class NewsAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.action.NewsAction

public class NewsAction extends BaseAction

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `UNREAD_NEWS_PERSONAL_KEY`

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NewsAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `newsDelete(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `newsEdit(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `newsGet(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `newsList(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `newsSetAllRead(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `newsSetRead(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `newsUpdate(DynActionForm form, Connection con)`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### UNREAD_NEWS_PERSONAL_KEY

    public static final String UNREAD_NEWS_PERSONAL_KEY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### NewsAction

    public NewsAction()

- ## Method Details

  - ### newsUpdate

    public org.apache.struts.action.ActionForward newsUpdate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### newsEdit

    public org.apache.struts.action.ActionForward newsEdit(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### newsList

    public org.apache.struts.action.ActionForward newsList(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### newsGet

    public org.apache.struts.action.ActionForward newsGet(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### newsSetRead

    public org.apache.struts.action.ActionForward newsSetRead(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### newsSetAllRead

    public org.apache.struts.action.ActionForward newsSetAllRead(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### newsDelete

    public org.apache.struts.action.ActionForward newsDelete(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`